/**
 * Created by 王思宇 on 2018/7/1.
 */

$(function () {
    // 头像预览
    $("#avatar").change(function () {
        // 获取用户选中的头像
        var fild_obj = $(this)[0].files[0];

        // 获取文件路径
        var reader = new FileReader();
        reader.readAsDataURL(fild_obj);

        // 修改src属性  scr=文件对象的路径
        reader.onload = function () {
            $("#avatar_img").attr("src", reader.result)
        }
    });

    // 上传注册信息
    $('#register-btn').click(function () {
        var formdata = new FormData();
        // console.log($("#form").serializeArray());
        var request_data = $("#form").serializeArray();
        $.each(request_data, function (index, data) {
            formdata.append(data.name, data.value);
        });

        // formdata.append("user", $("#id_user").val());
        // formdata.append("pwd", $("#id_pwd").val());
        // formdata.append("re_pwd", $("#id_re_pwd").val());
        // formdata.append("email", $("#id_email").val());
        // formdata.append("csrfmiddlewaretoken", $("[name=csrfmiddlewaretoken]").val());

        formdata.append("avatar", $("#avatar")[0].files[0]);
        console.log("formdata", formdata.get("avatar"))


        $.ajax({
            url: "",
            type: "POST",
            contentType: false,
            processData: false,
            data: formdata,
            success: function (data) {
                if (data.user){
                    location.href = "/login/";
                }
                else{
                    // 清空错误信息
                    $("span.error").html("");
                    $(".form-group").removeClass("has-error");

                    //展示错误信息
                    $.each(data.msg, function (field, error_list) {
                        console.log(field, error_list);
                        if (field == "__all__"){
                            $("#id_re_pwd").next().html(error_list[0]).parent().addClass("has-error")
                        }
                        $("#id_"+field).next().html(error_list[0]);
                        $("#id_"+field).parent().addClass("has-error")
                    })
                }


            }
        })
    })



});

